#!/bin/sh
# TurboLinux 6.0 Package script builder for FVWM2

. /root/IBM/DirInfo

mkdir -p $cfbuild_dir/installtemp/
mkdir -p $cfbuild_dir/Packages

cd $cfbuild_dir/installtemp

ln -sf /var var
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $fvwm2_source
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $fvwm2_icon_source
rm var
mkdir -p etc/X11/fvwm2/

mv etc/X11/fvwm2/fvwm2rc etc/X11/fvwm2/fvwm2rc.org
cp -a $cfbuild_dir/$custom_dir/system.fvwm2rc etc/X11/fvwm2/
cp -a $cfbuild_dir/$custom_dir/system.fvwm2rc etc/X11/fvwm2/fvwm2rc


tar -cpzf $cfbuild_dir/Packages/fvwm2.tar.gz *
cd /
rm -r $cfbuild_dir/installtemp

echo "Done"


