#!/bin/sh
# TurboLinux Package script builder for ICAClient-3.0-97

. /root/IBM/DirInfo

rm -r $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/Packages

cd $cfbuild_dir/installtemp

ln -sf /var var
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $icaclient_rpm
rm var

mkdir -p $cfbuild_dir/installtemp/lib
mkdir -p $cfbuild_dir/installtemp/usr/X11R6/lib
mkdir -p $cfbuild_dir/installtemp/usr/bin
mkdir -p $cfbuild_dir/installtemp/bin

cp -a /lib/ld-linux* lib/
cp -a /usr/X11R6/lib/libICE* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libSM* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libX11* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libXaw.* usr/X11R6/lib/
cp -a /usr/X11R6lib/libXext* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libXmu* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libXpm* usr/X11R6/lib/
cp -a /usr/X11R6/lib/libXt.* usr/X11R6/lib/
cp -a /lib/libc* lib/
cp -a /usr/bin/tr usr/bin
cp -a /usr/bin/dirname usr/bin
cp -a /bin/sed bin
tar -cpzvf $cfbuild_dir/Packages/ica.tar.gz *

cd $cfbuild_dir
rm -rf $cfbuild_dir/installtemp

echo "Done"
