#!/bin/sh

. /root/IBM/DirInfo

rm -r $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/Packages

cd $cfbuild_dir/installtemp

ln -sf /var var
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $ftp_rpm
rm var

mkdir -p $cfbuild_dir/installtemp/lib
cp -a /usr/lib/libreadline* lib/
cp -a /usr/lib/libncurses* lib/
cp -a /lib/libnss_nis.so.2 lib/
cp -a /lib/libnss_nis-2.1.2.so lib/
cp -a /lib/libnss_files* lib/
cp -a /lib/libc* lib/
cp -a /lib/libtermcap* lib/
cp -a /lib/ld-linux* lib/

tar -cpzvf $cfbuild_dir/Packages/ftp.tar.gz *

cd $cfbuild_dir
rm -rf $cfbuild_dir/installtemp

echo "Done"
