proc initStrings {} {
### Strings from CFBuilder.tcl ###
global ABOUT_DESCRIPTION
set ABOUT_DESCRIPTION  "Compact Flash Builder\n\
			\n\
			Version 2.5\n\
			\n\
			Developed by: Ryan Harper and Christopher Glendenning\n\
			\n\
			http://www.pc.ibm.com/us/networkstation\n\
			\n\
			Copyright IBM Corporation"


### Strings from menubar.tcl ###
global MENU_FILE 		
set MENU_FILE			"File"
  global FILE_EXIT 		
  set FILE_EXIT			"Exit"
global MENU_BUILD 		
set MENU_BUILD			"Build"
  global BUILD_IMAGE 		
  set BUILD_IMAGE		"Image..."
  global BUILD_PACKAGE 		
  set BUILD_PACKAGE		"Package..."
  global BUILD_SDF 		
  set BUILD_SDF			"IDF/SDF..."
global MENU_SETTINGS 		
set MENU_SETTINGS		"Configure"
  global SETTINGS_DISPLAY 	
  set SETTINGS_DISPLAY		"Display..."
  global SETTINGS_MANAGEMENT 	
  set SETTINGS_MANAGEMENT	"Management..."
  global SETTINGS_NETWORK 	
  set SETTINGS_NETWORK		"Network..."
global MENU_SYSTEM 		
set MENU_SYSTEM			"System"
  global SYSTEM_WIZARD 		
  set SYSTEM_WIZARD		"Run Wizard..."
  global SYSTEM_BASEOS
  set SYSTEM_BASEOS		"Set BaseOS List"
global MENU_UTILITIES 		
set MENU_UTILITIES		"Utilities"
  global UTILITIES_BACKREST 	
  set UTILITIES_BACKREST	"Backup & Restore..."
  global UTILITIES_FORMAT 	
  set UTILITIES_FORMAT		"Format..."
  global UTILITIES_MOUNT 	
  set UTILITIES_MOUNT		"Mount..."
  global UTILITIES_PARTITION 	
  set UTILITIES_PARTITION	"Partition..."
global MENU_HELP 		
set MENU_HELP			"Help"
  global HELP_ABOUT 		
  set HELP_ABOUT		"About..."
  global HELP_LOG 		
  set HELP_LOG			"View Log File..."
  global HELP_LICENSE 		
  set HELP_LICENSE		"License..."


### Strings from wiz_archive.tcl ###
global ARCHIVE_TITLE 	
set ARCHIVE_TITLE	"IBM Embedded Linux Setup - Compact Flash Image Back up"
global ARCHIVE_MAIN
set ARCHIVE_MAIN 	" Now that your compact flash image is built, you can\n\
			choose to back up your image for easy compact flash\n\
			replication and restoration.  If you would like to\n\
			back up your current image please click Back up now. If\n\
			you want to restore an image to your compact flash, click\n\
			Restore now. Otherwise click Finish to close CFBuilder.\n"
global BACKUP_MESSAGE
set BACKUP_MESSAGE 	"Enter Path and Name of backup image."
global BACKUP_WAIT
set BACKUP_WAIT 	"Saving Current Image...\nPlease Wait."
global BACKUP_DONE
set BACKUP_DONE 	"Backup Complete"
global RESTORE_MESSAGE
set RESTORE_MESSAGE 	"Where is the image you want to restore?"
global RESTORE_WAIT
set RESTORE_WAIT 	"Restoring Image...\nPlease Wait."
global RESTORE_DONE
set RESTORE_DONE	"Restore Complete"


### Strings from wiz_buildimage.tcl ###
global IMAGE_TITLE
set IMAGE_TITLE 		"IBM Embedded Linux Setup - Image Creation"
global IMAGE_MAIN
set IMAGE_MAIN 		"Select packages from the list on the left or click Add to add a custom package."
global IMAGE_AVAIL_LIST
set IMAGE_AVAIL_LIST 	"Available Standard Packages:"
global IMAGE_INSTALL_DIR
set IMAGE_INSTALL_DIR 	"Installing to:"
global IMAGE_NEWDIR_TITLE
set IMAGE_NEWDIR_TITLE 	"Make new directory?"
global IMAGE_NEWDIR
set IMAGE_NEWDIR 		"That directory does not exist.\nDo you want to create it?"
global IMAGE_NEWDIR_YES
set IMAGE_NEWDIR_YES 	"Yes"
global IMAGE_NEWDIR_NO
set IMAGE_NEWDIR_NO 		"No"
global IMAGE_NEWIMAGE
set IMAGE_NEWIMAGE 		"New Image"
global IMAGE_KERNEL
set IMAGE_KERNEL 		"Kernel Support:"
global IMAGE_PSIZE
set IMAGE_PSIZE 		"Package Size: "
global IMAGE_ISIZE
set IMAGE_ISIZE 		"Image Size: "
global IMAGE_ADDITEM_GET
set IMAGE_ADDITEM_GET 	"Where is the package to add?"
global IMAGE_FILETYPE_NOSUPPORT
set IMAGE_FILETYPE_NOSUPPORT "The file type is not supported."
global IMAGE_SELECTFILE
set IMAGE_SELECTFILE 	"Please select a file." 
global IMAGE_EMPTY_BUILD
set IMAGE_EMPTY_BUILD 	"Please add a Package to Build"
global IMAGE_EXT_NOSUPPORT
set IMAGE_EXT_NOSUPPORT 	"Extension not supported:"
global IMAGE_BUILD_DONE
set IMAGE_BUILD_DONE 	"Image Build Complete.\n"
global IMAGE_GETSIZE
set IMAGE_GETSIZE 		"Reading Package.\n Please Wait..."
global IMAGE_NO_WINDOW_MANAGER
set IMAGE_NO_WINDOW_MANAGER 	"Select a window manager to continue."


### Strings from wiz_intro.tcl ###
global INTRO_TITLE
set INTRO_TITLE 	"IBM Embedded Linux Setup - Welcome!"
global INTRO_MAIN
set INTRO_MAIN 		" Welcome to Compact Flash Builder.\n\n\
			 This program will help build and install software packages to\n\
			 make an image for use with a compact flash.\n\
			\n\
			 This program should be run on an IBM NetVista Thin Client\n\
			 booted to a Linux Server.  The compact flash should already\n\
			 be inserted into the thin client. If the compact flash is not\n\
			 in the thin client, please turn off the thin client, place the\n\
			 compact flash media into the thin client and reboot.\n\
			\n"

### Strings from wiz_packages.tcl ###
global PACKAGE_TITLE
set PACKAGE_TITLE 			"IBM Embedded Linux Setup - Software Package Creation"
global PACKAGE_MAIN
set PACKAGE_MAIN 			" Move the component that you want to be built to the right.\n\
					 After choosing, press Build. You need to build each package\n\
					 only once.  To see what packages have been built, use\n\
					 Build -> Image. Select only one version of Netscape"
global PACKGE_UNDOCUMENTED
set PACKAGE_UNDOCUMENTED 		"Undocumented Item"
global PACKAGE_BUILD_MAIN
set PACKAGE_BUILD_MAIN 		"Please add a Package to Build"    
global PACKAGE_BUILD_DONE
set PACKAGE_BUILD_DONE 		"Package Build Complete.\n"
global PACKAGE_BASEOS_COPY_ERRORS
set PACKAGE_BASEOS_COPY_ERRORS 	"There were errors during the copy process.\n\
					Please  look at errors.txt for a list of \n\
					files that were unable to be copied."


### Strings from wiz_partition.tcl ###
global PARTITION_TITLE
set PARTITION_TITLE 		"IBM Embedded Linux Setup - Compact Flash Initialization"
global PARTITION_WARNING
set PARTITION_WARNING 	"CFBuilder will now initialize your compact flash.\n\
				Choose initialization options.  If you are unsure,\n\
				use the default settings.  This will initialize a \n\
				compact flash for use.\n\
				\n\
				WARNING! - All data on device /dev/hda will be \n\
				ERASED PERMANENTLY.\n\
				\n"
global PARTITION_ERRORS
set PARTITION_ERRORS		"There was a problem when initializing the flash.\n\
				Please check the Compact Flash and try again."
global PARTITION_SERVER
set PARTITION_SERVER		"Warning! CFBuilder running on Server,\n\
				not Client. Partitioning Disabled."
global PARTITION_PART_CONFIRM
set PARTITION_PART_CONFIRM   "Do you really want to initialize the flash?"
global PARTITION_DONE
set PARTITION_DONE 		"Compact Flash Initialization Complete"


### Strings from wiz_settings ###
global SETTINGS_TITLE
set SETTINGS_TITLE 		"IBM Embedded Linux Setup - Compact Flash Image Configuration"
global SETTINGS_SAVED
set SETTINGS_SAVED 		" Your changes have been saved. Click the\n\
				 buttons on the left to finish customizing\n\
				 or click Next to continue."
global SETTINGS_BASEOS_TITLE
set SETTINGS_BASEOS_TITLE	"Change BaseOS List"
global SETTINGS_BASEOS_MAIN
set SETTINGS_BASEOS_MAIN	" Set the path to the BaseOS list you want\n\
				  to use to build the BaseOS package.\n"
global SETTINGS_BASEOS_OK
set SETTINGS_BASEOS_OK		"OK"
global SETTINGS_BASEOS_CANCEL
set SETTINGS_BASEOS_CANCEL	"Cancel"
global SETTINGS_BASEOS_LABEL
set SETTINGS_BASEOS_LABEL	"Target:"

}







